---
lang: en
title: 'API docs: repository.entity.buildwhereforid'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.entity.buildwhereforid.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Entity](./repository.entity.md) &gt; [buildWhereForId](./repository.entity.buildwhereforid.md)

## Entity.buildWhereForId() method

Build the where object for the given id

<b>Signature:</b>

```typescript
static buildWhereForId(id: any): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  id | <code>any</code> | The id value |

<b>Returns:</b>

`any`


